Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.nbt
Class NBTTagCompound

    java.lang.Object
      net.minecraft.nbt.NBTBase
          net.minecraft.nbt.NBTTagCompound

    public class NBTTagCompound

extends NBTBase

Field Summary

Fields inherited from class net.minecraft.nbt.NBTBase
`NBTTypes`

Constructor Summary
`NBTTagCompound()`
`NBTTagCompound(String par1Str)`

Method Summary
`NBTBase` | `copy()` Creates a clone of the tag.
`boolean` | `equals(Object par1Obj)`
`boolean` | `getBoolean(String par1Str)` Retrieves a boolean value using the specified key, or false if no such key was stored.
`byte` | `getByte(String par1Str)` Retrieves a byte value using the specified key, or 0 if no such key was stored.
`byte[]` | `getByteArray(String par1Str)` Retrieves a byte array using the specified key, or a zero-length array if no such key was stored.
`NBTTagCompound` | `getCompoundTag(String par1Str)` Retrieves a NBTTagCompound subtag matching the specified key, or a new empty NBTTagCompound if no such key was stored.
`double` | `getDouble(String par1Str)` Retrieves a double value using the specified key, or 0 if no such key was stored.
`float` | `getFloat(String par1Str)` Retrieves a float value using the specified key, or 0 if no such key was stored.
`byte` | `getId()` Gets the type byte for the tag.
`int[]` | `getIntArray(String par1Str)` Retrieves an int array using the specified key, or a zero-length array if no such key was stored.
`int` | `getInteger(String par1Str)` Retrieves an integer value using the specified key, or 0 if no such key was stored.
`long` | `getLong(String par1Str)` Retrieves a long value using the specified key, or 0 if no such key was stored.
`short` | `getShort(String par1Str)` Retrieves a short value using the specified key, or 0 if no such key was stored.
`String` | `getString(String par1Str)` Retrieves a string value using the specified key, or an empty string if no such key was stored.
`NBTBase` | `getTag(String par1Str)` gets a generic tag with the specified name
`NBTTagList` | `getTagList(String par1Str)` Retrieves a NBTTagList subtag matching the specified key, or a new empty NBTTagList if no such key was stored.
`Collection` | `getTags()` Returns all the values in the tagMap HashMap.
`int` | `hashCode()`
`boolean` | `hasKey(String par1Str)` Returns whether the given string has been previously stored as a key in the map.
`boolean` | `hasNoTags()` Return whether this compound has no tags.
`void` | `removeTag(String par1Str)` Remove the specified tag.
`void` | `setBoolean(String par1Str, boolean par2)` Stores the given boolean value as a NBTTagByte, storing 1 for true and 0 for false, using the given string key.
`void` | `setByte(String par1Str, byte par2)` Stores a new NBTTagByte with the given byte value into the map with the given string key.
`void` | `setByteArray(String par1Str, byte[] par2ArrayOfByte)` Stores a new NBTTagByteArray with the given array as data into the map with the given string key.
`void` | `setCompoundTag(String par1Str, NBTTagCompound par2NBTTagCompound)` Stores the given NBTTagCompound into the map with the given string key.
`void` | `setDouble(String par1Str, double par2)` Stores a new NBTTagDouble with the given double value into the map with the given string key.
`void` | `setFloat(String par1Str, float par2)` Stores a new NBTTagFloat with the given float value into the map with the given string key.
`void` | `setIntArray(String par1Str, int[] par2ArrayOfInteger)` Stores a new NBTTagIntArray with the given array as data into the map with the given string key.
`void` | `setInteger(String par1Str, int par2)` Stores a new NBTTagInt with the given integer value into the map with the given string key.
`void` | `setLong(String par1Str, long par2)` Stores a new NBTTagLong with the given long value into the map with the given string key.
`void` | `setShort(String par1Str, short par2)` Stores a new NBTTagShort with the given short value into the map with the given string key.
`void` | `setString(String par1Str, String par2Str)` Stores a new NBTTagString with the given string value into the map with the given string key.
`void` | `setTag(String par1Str, NBTBase par2NBTBase)` Stores the given tag into the map with the given string key.
`String` | `toString()`

Methods inherited from class net.minecraft.nbt.NBTBase
`getName, getTagName, newTag, readNamedTag, setName, writeNamedTag`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NBTTagCompound

    public NBTTagCompound()

### NBTTagCompound

    public NBTTagCompound(String par1Str)

Method Detail

### getTags

    public Collection getTags()

  Returns all the values in the tagMap HashMap.

### getId

    public byte getId()

  Gets the type byte for the tag.

  Specified by:
    `getId` in class `NBTBase`

### setTag

    public void setTag(String par1Str,
                       NBTBase par2NBTBase)

  Stores the given tag into the map with the given string key. This is mostly used to store tag lists.

### setByte

    public void setByte(String par1Str,
                        byte par2)

  Stores a new NBTTagByte with the given byte value into the map with the given string key.

### setShort

    public void setShort(String par1Str,
                         short par2)

  Stores a new NBTTagShort with the given short value into the map with the given string key.

### setInteger

    public void setInteger(String par1Str,
                           int par2)

  Stores a new NBTTagInt with the given integer value into the map with the given string key.

### setLong

    public void setLong(String par1Str,
                        long par2)

  Stores a new NBTTagLong with the given long value into the map with the given string key.

### setFloat

    public void setFloat(String par1Str,
                         float par2)

  Stores a new NBTTagFloat with the given float value into the map with the given string key.

### setDouble

    public void setDouble(String par1Str,
                          double par2)

  Stores a new NBTTagDouble with the given double value into the map with the given string key.

### setString

    public void setString(String par1Str,
                          String par2Str)

  Stores a new NBTTagString with the given string value into the map with the given string key.

### setByteArray

    public void setByteArray(String par1Str,
                             byte[] par2ArrayOfByte)

  Stores a new NBTTagByteArray with the given array as data into the map with the given string key.

### setIntArray

    public void setIntArray(String par1Str,
                            int[] par2ArrayOfInteger)

  Stores a new NBTTagIntArray with the given array as data into the map with the given string key.

### setCompoundTag

    public void setCompoundTag(String par1Str,
                               NBTTagCompound par2NBTTagCompound)

  Stores the given NBTTagCompound into the map with the given string key.

### setBoolean

    public void setBoolean(String par1Str,
                           boolean par2)

  Stores the given boolean value as a NBTTagByte, storing 1 for true and 0 for false, using the given string key.

### getTag

    public NBTBase getTag(String par1Str)

  gets a generic tag with the specified name

### hasKey

    public boolean hasKey(String par1Str)

  Returns whether the given string has been previously stored as a key in the map.

### getByte

    public byte getByte(String par1Str)

  Retrieves a byte value using the specified key, or 0 if no such key was stored.

### getShort

    public short getShort(String par1Str)

  Retrieves a short value using the specified key, or 0 if no such key was stored.

### getInteger

    public int getInteger(String par1Str)

  Retrieves an integer value using the specified key, or 0 if no such key was stored.

### getLong

    public long getLong(String par1Str)

  Retrieves a long value using the specified key, or 0 if no such key was stored.

### getFloat

    public float getFloat(String par1Str)

  Retrieves a float value using the specified key, or 0 if no such key was stored.

### getDouble

    public double getDouble(String par1Str)

  Retrieves a double value using the specified key, or 0 if no such key was stored.

### getString

    public String getString(String par1Str)

  Retrieves a string value using the specified key, or an empty string if no such key was stored.

### getByteArray

    public byte[] getByteArray(String par1Str)

  Retrieves a byte array using the specified key, or a zero-length array if no such key was stored.

### getIntArray

    public int[] getIntArray(String par1Str)

  Retrieves an int array using the specified key, or a zero-length array if no such key was stored.

### getCompoundTag

    public NBTTagCompound getCompoundTag(String par1Str)

  Retrieves a NBTTagCompound subtag matching the specified key, or a new empty NBTTagCompound if no such key was stored.

### getTagList

    public NBTTagList getTagList(String par1Str)

  Retrieves a NBTTagList subtag matching the specified key, or a new empty NBTTagList if no such key was stored.

### getBoolean

    public boolean getBoolean(String par1Str)

  Retrieves a boolean value using the specified key, or false if no such key was stored. This uses the getByte method.

### removeTag

    public void removeTag(String par1Str)

  Remove the specified tag.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hasNoTags

    public boolean hasNoTags()

  Return whether this compound has no tags.

### copy

    public NBTBase copy()

  Creates a clone of the tag.

  Specified by:
    `copy` in class `NBTBase`

### equals

    public boolean equals(Object par1Obj)

  Overrides:
    `equals` in class `NBTBase`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `NBTBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD